# GitHub Issues Guide

This isn't really a Tachi component, but it's important enough to have a guide.

We use GitHub issues for all of our issue tracking and feature planning, if you're looking to request a feature or report a bug, good etiquette is defined here.

## Etiquette

Be nice.

If you're reporting a bug, **be as explicit as possible**. If something crashed, what were you doing at the time of the crash? Remember that a human has to read your post and attempt to diagnose the issue.

For the same reasons that you wouldn't go to a doctor and just say "It hurts", you can't just report a software issue as "It's broken". Low effort and ambiguous bug reports will be closed.

## Large Feature Requests

If you've came up with an idea for a new large feature, that's awesome! Before you post it though, think it through for a while.
I personally find it very helpful to think on ideas in the shower, but basically anything where you can think about an idea undistracted is useful (like a walk or something).

This will help you shape up the feature, and makes it easier for maintainers to implement said feature (Especially if it's major).

Regardless, once you've posted a large feature request, expect there to be discussion in the thread. You should check your emails!

## Existing Issues

Search for existing issues before opening a new one. There might already be one open with a similar thing.

## That's it!

Don't fret too much about writing perfect issues, but put some effort into them. The development team look at everything that comes through, and will tidy up bits of your issue for you if you make a mistake.

