# Contributing Overview

So, you're interested in contributing to Tachi? Awesome! All help is appreciated.
But, what *can* you contribute, and where can you help out?

## What does Tachi need?

Contrary to what you might already think, contributing to Tachi actually has remarkably little to
do with code.

The primary Tachi maintainer (hitherto referred to as `zkldi`, because that's their name)
deals with the core of the codebase; things like importing scores, adding new features and most of the UI work
is handled by them.

Tachi actually doesn't really have a shortage of people who can write good code, and the core of the codebase
feature-wise is maintainable entirely by `zkldi` comfortably.

What **isn't** possible to maintain, is the sheer amount of things going on in every game! `zkldi`
cannot reasonably keep track of all the games we support and everything that's going on in them.

That's where you step in - people who actually actively *play* games on Tachi! By letting `zkldi`
know about things going on in your game - and even contributing things yourself - you help make their life easier
and Tachi's support for your favourite game even better!



## For Novices...

The Novice guides also cover things like how to get a proper code editing setup, how to use the terminal, and more.

You should be able to follow these *even if* you don't know the first thing about programming!

All of the novice guides are further down in this page.

## Sounds good.

Awesome! Start with the [Setup](./setup.md) guide. This will get Tachi running on your local PC, so you can test all your changes.